Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ejbql
Class EJBQLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.exp.ExpressionException
                          org.apache.cayenne.ejbql.EJBQLException

All Implemented Interfaces:
  java.io.Serializable

    public class EJBQLException

extends ExpressionException

An exception thrown on errors during parsing EJBQL statements.

Since:
  3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.exp.ExpressionException
`expressionString`

Constructor Summary
`EJBQLException()`
`EJBQLException(java.lang.String messageFormat, java.lang.Object... messageArgs)`
`EJBQLException(java.lang.String messageFormat, java.lang.String expressionString, java.lang.Throwable th, java.lang.Object... messageArgs)`
`EJBQLException(java.lang.String messageFormat, java.lang.Throwable cause, java.lang.Object... messageArgs)`
`EJBQLException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class org.apache.cayenne.exp.ExpressionException
`getExpressionString`

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EJBQLException

    public EJBQLException()

### EJBQLException

    public EJBQLException(java.lang.String messageFormat,
                          java.lang.Object... messageArgs)

### EJBQLException

    public EJBQLException(java.lang.String messageFormat,
                          java.lang.String expressionString,
                          java.lang.Throwable th,
                          java.lang.Object... messageArgs)

### EJBQLException

    public EJBQLException(java.lang.String messageFormat,
                          java.lang.Throwable cause,
                          java.lang.Object... messageArgs)

### EJBQLException

    public EJBQLException(java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.